<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>RealEstate -  <?php echo $__env->yieldContent('title'); ?></title>
    <link rel="icon" href="<?php echo asset('img/logo.png'); ?>"/>
    <!-- Custom fonts for this template-->
    <link href="<?php echo e(asset('vendor/fontawesome-free/css/all.min.css')); ?>" rel="stylesheet" type="text/css">

    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

        <link rel="stylesheet" href="<?php echo e(asset('invoice/style.css')); ?>" type="text/css" media="all" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html2pdf.js/0.9.2/html2pdf.bundle.min.js"></script>

    <!-- Custom styles for this template-->
    <link href="<?php echo e(asset('css/sb-admin-2.min.css')); ?>"  rel="stylesheet">
     <!-- Custom styles for this page -->
     <link href="<?php echo e(asset('vendor/datatables/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet">
    <script>
        function hideMessages() {
            document.getElementById('successMessage').style.display = 'none';
            document.getElementById('errorMessages').style.display = 'none';
        }
    </script>
    <style>
    /* Reduce the padding and height of table cells */
    table.table-bordered th, 
    table.table-bordered td {
        padding: 4px 8px; /* Adjust padding to reduce cell size */
        vertical-align: middle; /* Center align text vertically */
    }

    /* Make table responsive */
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    /* Optional: Add some border radius to buttons for better appearance */
    .btn-circle {
        border-radius: 50%;
    }
</style>


</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div  id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion shadow" id="accordionSidebar">
            <?php
                $PermissionsUser = App\Models\PermissionRolesModel::getPermission('User', Auth::user()->id);
                $PermissionsRole = App\Models\PermissionRolesModel::getPermission('Roles', Auth::user()->id);
                $PermissionsChartOfAccounts = App\Models\PermissionsUserModel::getPermission('Chart of Accounts', Auth::user()->id);
                
                $PermissionsAccountType = App\Models\PermissionsUserModel::getPermission('Account', Auth::user()->id);
                $PermissionsAddAccountType = App\Models\PermissionsUserModel::getPermission('Add Account', Auth::user()->id);
                $PermissionsEditAccountType = App\Models\PermissionsUserModel::getPermission('Account', Auth::user()->id);
                $PermissionsAccountType = App\Models\PermissionsUserModel::getPermission('Account', Auth::user()->id);
                $PermissionsAccountType = App\Models\PermissionsUserModel::getPermission('Account', Auth::user()->id);

                $PermissionsGeneralLedger = App\Models\PermissionsUserModel::getPermission('General Ledger', Auth::user()->id);
                $PermissionsAccounting = App\Models\PermissionsUserModel::getPermission('Accounting', Auth::user()->id);
                $PermissionsCashBook = App\Models\PermissionsUserModel::getPermission('Cash Book', Auth::user()->id);
                $PermissionsJournalAccount = App\Models\PermissionsUserModel::getPermission('Journal Account', Auth::user()->id);
                $PermissionsCurrency = App\Models\PermissionsUserModel::getPermission('Currency', Auth::user()->id);
                $PermissionsHomeCurrency = App\Models\PermissionsUserModel::getPermission('Home Currency', Auth::user()->id);
                $PermissionsDailyRate = App\Models\PermissionsUserModel::getPermission('Daily Rate', Auth::user()->id);
                $PermissionsFacilities = App\Models\PermissionsUserModel::getPermission('Facilities', Auth::user()->id);
                $PermissionsFloors = App\Models\PermissionsUserModel::getPermission('Floors', Auth::user()->id);
                $PermissionsRooms = App\Models\PermissionsUserModel::getPermission('Rooms', Auth::user()->id);
                $PermissionsAffiliates = App\Models\PermissionsUserModel::getPermission('Affiliates', Auth::user()->id);
                $PermissionsTenants = App\Models\PermissionsUserModel::getPermission('Tenants', Auth::user()->id);
                $PermissionsCustomers = App\Models\PermissionsUserModel::getPermission('Customers', Auth::user()->id);
                $PermissionsSuppliers = App\Models\PermissionsUserModel::getPermission('Suppliers', Auth::user()->id);
                $PermissionsTax = App\Models\PermissionsUserModel::getPermission('Tax', Auth::user()->id);
                $PermissionsBanks = App\Models\PermissionsUserModel::getPermission('Banks', Auth::user()->id);
                $PermissionsInvoices = App\Models\PermissionsUserModel::getPermission('Invoices', Auth::user()->id);
                $PermissionsTenantsInvoice = App\Models\PermissionsUserModel::getPermission('Tenants Invoice', Auth::user()->id);
                $PermissionsCustomerInvoice = App\Models\PermissionsUserModel::getPermission('Customer Invoice', Auth::user()->id);
                $PermissionsSupplierInvoice= App\Models\PermissionsUserModel::getPermission('Supplier Invoice', Auth::user()->id);
                $PermissionsReceipts = App\Models\PermissionsUserModel::getPermission('Receipts', Auth::user()->id);
                $PermissionsTenantReceipts = App\Models\PermissionsUserModel::getPermission('Tenant Receipts', Auth::user()->id);
                $PermissionsCustomerReceipts = App\Models\PermissionsUserModel::getPermission('Customer Receipts', Auth::user()->id);
                $PermissionsReports = App\Models\PermissionsUserModel::getPermission('Reports', Auth::user()->id);
                $PermissionsAccountingStatements = App\Models\PermissionsUserModel::getPermission('Accounting Statements', Auth::user()->id);
                $PermissionsTenantAccountingStatements = App\Models\PermissionsUserModel::getPermission('Tenant Accounting Statements', Auth::user()->id);
                $PermissionsCustomerAccountingStatements = App\Models\PermissionsUserModel::getPermission('Customer Accounting Statements', Auth::user()->id);
                $PermissionsSupplierAccountingStatements = App\Models\PermissionsUserModel::getPermission('Supplier Accounting Statements', Auth::user()->id);
                $PermissionsTenantTransactionListing = App\Models\PermissionsUserModel::getPermission('Tenant Transaction Listing', Auth::user()->id);
                $PermissionsCustomerTransactionListing = App\Models\PermissionsUserModel::getPermission('Customer Transaction Listing', Auth::user()->id);
                $PermissionsSupplierTransactionListing = App\Models\PermissionsUserModel::getPermission('Supplier Transaction Listing', Auth::user()->id);
                $PermissionsAffiliatesListing = App\Models\PermissionsUserModel::getPermission('Affiliates Listing', Auth::user()->id);
                $PermissionsTenantsListing = App\Models\PermissionsUserModel::getPermission('Tenants Listing', Auth::user()->id);
                $PermissionsCustomerListing = App\Models\PermissionsUserModel::getPermission('Customer Listing', Auth::user()->id);
                $PermissionsSupplierListing = App\Models\PermissionsUserModel::getPermission('Supplier Listing', Auth::user()->id);
                $PermissionsChartofAccountsReports = App\Models\PermissionsUserModel::getPermission('Chart of Accounts Reports', Auth::user()->id);
                $PermissionsGeneralLedgerReport = App\Models\PermissionsUserModel::getPermission('General Ledger Report', Auth::user()->id);
                $PermissionsChartofCashBookReport = App\Models\PermissionsUserModel::getPermission('Cash Book Report', Auth::user()->id);
                $PermissionsChartofTaxReport = App\Models\PermissionsUserModel::getPermission('Tax Report', Auth::user()->id);
                
            ?>

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-city"></i>
                </div>
                <div class="sidebar-brand-text mx-3">Melsoft RealEstate</div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="<?php echo e(route('property.details', ['code' =>  Session::get('PropertyCode'), 'name' =>  Session::get('PropertyName')])); ?>">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                Maintanance
            </div>

            <!-- Nav Item - Pages Collapse Menu -->
            <?php if(!empty($PermissionsChartOfAccounts)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTwo"
                    aria-expanded="true" aria-controls="collapseTwo">
                    <i class="fas fa-book"></i>
                    <span>Chart of Accounts</span>
                </a>
                <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Chart of Accounts:</h6>
                        <?php if(!empty($PermissionsChartOfAccounts && !empty($PermissionsAccountType))): ?>
                        <a class="collapse-item" href="<?php echo e(route('accountType')); ?>">Accounts Type</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsChartOfAccounts && !empty($PermissionsGeneralLedger))): ?>

                        <a class="collapse-item" href="<?php echo e(route('mainAccounts')); ?>">General Ledger</a>
                        <?php endif; ?>

                    </div>
                </div>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsAccounting)): ?>

            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#accountmodule"
                    aria-expanded="true" aria-controls="collapseTwo">
                    <i class="fas fa-file-alt"></i>
                    <span>Accounting Modules</span>
                </a>
                <div id="accountmodule" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Module Classification:</h6>
                        <?php if(!empty($PermissionsAccounting && !empty($PermissionsCashBook))): ?>

                        <a class="collapse-item" href="<?php echo e(route('cashbook')); ?>">Cash Book</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsAccounting && !empty($PermissionsJournalAccount))): ?>

                        <a class="collapse-item" href="<?php echo e(route('journals')); ?>">Journal Accounts</a>
                        <?php endif; ?>

                        <a class="collapse-item" href="<?php echo e(route('otheraccounts')); ?>">Transaction Types</a>


                    </div>
                </div>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsCurrency)): ?>
            <!-- Nav Item - Utilities Collapse Menu -->
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseUtilities"
                    aria-expanded="true" aria-controls="collapseUtilities">
                    <i class="fas fa-coins"></i>
                    <span>Currency</span>
                </a>
                <div id="collapseUtilities" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Currency Modules:</h6>
                        <a class="collapse-item" href="<?php echo e(route('Currency')); ?>">Add Currency</a>
                        <?php if(!empty($PermissionsCurrency) && !empty($PermissionsHomeCurrency)): ?>
                        <a class="collapse-item" href="<?php echo e(route('homeCurrency')); ?>">Home Currency</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsCurrency) && !empty($PermissionsHomeCurrency)): ?>
                        <a class="collapse-item" href="<?php echo e(route('Rates')); ?>">Daily Rates</a>
                        <?php endif; ?>
                        
                    </div>
                </div>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsFacilities)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#Facilities"
                    aria-expanded="true" aria-controls="Facilities">
                    <i class="fas fa-layer-group"></i>
                    <span>Facilities</span>
                </a>
                <div id="Facilities" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Property Sections:</h6>
                        <?php if(!empty($PermissionsFacilities) && !empty($PermissionsFloors)): ?>
                        <a class="collapse-item" href="<?php echo e(route('floors')); ?>">Floor</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsFacilities) && !empty($PermissionsRooms)): ?>

                        <a class="collapse-item" href="<?php echo e(route('rooms')); ?>">Rooms</a>
                        <?php endif; ?>
                    </div>
                </div>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsAffiliates)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseStakeholders"
                    aria-expanded="true" aria-controls="collapseStakeholders">
                    <i class="fas fa-handshake"></i>
                    <span>Affiliates</span>
                </a>
                <div id="collapseStakeholders" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Clients & Partners:</h6>
                        <?php if(!empty($PermissionsAffiliates) && !empty($PermissionsTenants)): ?>
                        <a class="collapse-item" href="<?php echo e(route('tenants')); ?>">Tenants</a>
                        <a class="collapse-item" href="<?php echo e(route('ageing.add')); ?>">Ageing</a>

                        <?php endif; ?>
                        <?php if(!empty($PermissionsAffiliates) && !empty($PermissionsCustomers)): ?>
                        <a class="collapse-item" href="<?php echo e(route('customers')); ?>">Customers</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsAffiliates) && !empty($PermissionsSuppliers)): ?>
                        <a class="collapse-item" href="<?php echo e(route('suppliers')); ?>">Suppliers</a>
                        <?php endif; ?>
                    </div>
                </div>
            </li>
            <?php endif; ?>
           

          
            <?php if(!empty($PermissionsTax)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('tax')); ?>">
                    <i class="fas fa-money-bill"></i>
                    <span>Tax</span></a>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsBanks)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('bankIndex')); ?>">
                <i class="fas fa-university"></i>
                    <span>Bank Details</span></a>
            </li>
            <?php endif; ?>


            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                Processing
            </div>
            <?php if(!empty($PermissionsInvoices)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#Invoice"
                    aria-expanded="true" aria-controls="Facilities">
                    <i class="fas fa-file-invoice"></i>
                    <span>Invoices</span>
                </a>
                <div id="Invoice" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Invoice Types:</h6>
                        <?php if(!empty($PermissionsInvoices) && !empty($PermissionsTenantsInvoice)): ?>
                        <a class="collapse-item" href="<?php echo e(route('invoice',['Type'=>'Tenant'])); ?>">Tenant</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsInvoices) && !empty($PermissionsCustomerInvoice)): ?>    
                        <a class="collapse-item" href="<?php echo e(route('invoice',['Type'=>'Customer'])); ?>">Customer</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsInvoices) && !empty($PermissionsSupplierInvoice)): ?>

                        <a class="collapse-item" href="<?php echo e(route('invoice',['Type'=>'Supplier'])); ?>">Supplier</a>
                        <?php endif; ?>
                    </div>
                </div>
            </li>
            <?php endif; ?>



            <?php if(!empty($PermissionsReceipts)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#Receipt"
                    aria-expanded="true" aria-controls="Facilities">
                    <i class="fas fa-receipt"></i>
                    <span>Receipts</span>
                </a>
                <div id="Receipt" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Receipt Types:</h6>
                        <?php if(!empty($PermissionsReceipts) && !empty($PermissionsTenantReceipts)): ?>
                        <a class="collapse-item" href="<?php echo e(route('receipt',['Type'=>'Tenant'])); ?>">Tenant</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsReceipts) && !empty($PermissionsCustomerReceipts)): ?>
                        <a class="collapse-item" href="<?php echo e(route('receipt',['Type'=>'Customer'])); ?>">Customer</a>
                       <?php endif; ?>
                    </div>
                </div>
            </li>
            <?php endif; ?>



            <?php if(!empty($PermissionsReports)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('ProcessCashBook')); ?>">
                    <i class="fas fa-book-open"></i>
                    <span>Cash Book</span></a>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsReports)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('journalprocessing')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>Journals</span></a>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsReports)): ?>
            <hr class="sidebar-divider">

                <!-- Heading -->
                <div class="sidebar-heading">
                    Reports
                </div>
            <?php endif; ?>


          

            <?php if(!empty($PermissionsAccountingStatements)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#Statements"
                    aria-expanded="true" aria-controls="Facilities">
                    <i class="fas fa-receipt"></i>
                    <span>Accounting Statements</span>
                </a>
                <div id="Statements" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Accounting Statements:</h6>
                        <?php if(!empty($PermissionsAccountingStatements) && !empty($PermissionsTenantAccountingStatements)): ?>
                        <a class="collapse-item" href="<?php echo e(route('statements',['Type'=>'Tenant'])); ?>">Tenant</a>
                        <!-- <a class="collapse-item" href="<?php echo e(url('fetch-transactions')); ?>">All Tenants</a> -->
                        <?php endif; ?>
                        <?php if(!empty($PermissionsAccountingStatements) && !empty($PermissionsCustomerAccountingStatements)): ?>
                        <a class="collapse-item" href="<?php echo e(route('statements',['Type'=>'Customer'])); ?>">Customer</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsAccountingStatements) && !empty($PermissionsSupplierAccountingStatements)): ?>
                        <a class="collapse-item" href="<?php echo e(route('statements',['Type'=>'Supplier'])); ?>">Supplier</a>
                       <?php endif; ?>
                    </div>
                </div>
            </li>
            <?php endif; ?>


            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#Transactionlisting"
                    aria-expanded="true" aria-controls="Facilities">
                    <i class="fas fa-file-invoice"></i>
                    <span>Transaction Listing</span>
                </a>
                <div id="Transactionlisting" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Affiliates Listing:</h6>
                        <?php if(!empty($PermissionsTenantTransactionListing )): ?>
                        <a class="collapse-item" href="<?php echo e(route('Transactionlisting',['Type'=>'Tenant'])); ?>">Tenant</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsCustomerTransactionListing)): ?>
                        
                        
                        <a class="collapse-item" href="<?php echo e(route('Transactionlisting',['Type'=>'Customer'])); ?>">Customer</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsSupplierTransactionListing)): ?>
                        <a class="collapse-item" href="<?php echo e(route('Transactionlisting',['Type'=>'Supplier'])); ?>">Supplier</a>
                       <?php endif; ?>
                    </div>
                </div>
            </li>


            <?php if(!empty($PermissionsAffiliatesListing)): ?>
            <li class="nav-item">
                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#Affiliateslisting"
                    aria-expanded="true" aria-controls="Facilities">
                    <i class="fas fa-handshake"></i>
                    <span>Affiliates Listing</span>
                </a>
                <div id="Affiliateslisting" class="collapse" aria-labelledby="headingUtilities"
                    data-parent="#accordionSidebar">
                    <div class="bg-white py-2 collapse-inner rounded">
                        <h6 class="collapse-header">Affiliates Listing:</h6>
                        <?php if(!empty($PermissionsAffiliatesListing) && !empty($PermissionsTenantsListing)): ?>
                        
                        <a class="collapse-item" href="<?php echo e(route('Affiliateslisting',['Type'=>'Tenant'])); ?>">Tenant</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsAffiliatesListing) && !empty($PermissionsCustomerListing)): ?>
                        <a class="collapse-item" href="<?php echo e(route('Affiliateslisting',['Type'=>'Customer'])); ?>">Customer</a>
                        <?php endif; ?>
                        <?php if(!empty($PermissionsAffiliatesListing) && !empty($PermissionsSupplierListing)): ?>
                        <a class="collapse-item" href="<?php echo e(route('Affiliateslisting',['Type'=>'Supplier'])); ?>">Supplier</a>
                        <?php endif; ?>
                    </div>
                </div>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsChartofAccountsReports)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('ChartOfAccountsReport')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>Chart Of Accounts</span></a>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsGeneralLedgerReport)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('GeneralLedgerReport')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>General Ledger</span></a>
            </li>
            <?php endif; ?>
         
            <?php if(!empty($PermissionsChartofCashBookReport)): ?>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('cashbookreport')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>Cash Book</span></a>
            </li>
            <?php endif; ?>
            <?php if(!empty($PermissionsChartofTaxReport)): ?>

            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('TaxReport')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>Tax</span></a>
            </li>
            <?php endif; ?>

          
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                Settings
            </div>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(url('users')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>Users</span></a>
            </li>



            <li class="nav-item">
            <a class="nav-link" href="<?php echo e(url('users/role')); ?>">
                    <i class="fas fa-wallet"></i>
                    <span>Roles </span></a>
                    


        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>
                           <!-- Page Heading -->
                           <h1 class="h4 mb-2 text-gray-800" ><?php echo e(Session::get('PropertyName')); ?></h1>
                           

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

               

                        <!-- Nav Item - Alerts -->
                        <li class="nav-item dropdown no-arrow mx-1">
                            <a class="nav-link dropdown-toggle"  id="alertsDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bell fa-fw"></i>
                                <!-- Counter - Alerts -->
                                <span class="badge badge-danger badge-counter">0</span>
                            </a>
                            
                        </li>

                        <!-- Nav Item - Messages -->
                        <li class="nav-item dropdown no-arrow mx-1">
                            <a class="nav-link dropdown-toggle"  id="messagesDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-envelope fa-fw"></i>
                                <!-- Counter - Messages -->
                                <span class="badge badge-danger badge-counter">0</span>
                            </a>
                            
                        </li>

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small"><?php echo e(Session::get('Name')); ?></span>
                                <img class="img-profile rounded-circle"
                                    src="<?php echo e(asset('img/undraw_profile.svg')); ?>">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" href="<?php echo e(url('/profile')); ?>">
                                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Profile
                                </a>
                                <a class="dropdown-item" href="#">
                                    <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Reset Password
                                </a>
                            
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item"  data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Logout
                                </a>
                            </div>
                        </li>

                        </ul>

                </nav>
                <!-- End of Topbar -->
                <!-- Begin Page Content -->
                <div class="container-fluid">
                    <?php
                     use Carbon\Carbon;
                     ?>
                     
                <?php echo $__env->yieldContent('content'); ?>



                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; Melsoft (Private) Limited</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-primary" href="<?php echo e(url('logout')); ?>">Logout</a>
                </div>
            </div>
        </div>
    </div>

     <script src="<?php echo e(asset('vendor/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/jquery-easing/jquery.easing.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/sb-admin-2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/datatables/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/datatables/dataTables.bootstrap4.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/demo/datatables-demo.js')); ?>"></script>

</body>

</html><?php /**PATH C:\Users\User\PINETOPS\PINETOPS\playground\realestate - Copy (2)\realestate - Copy\resources\views/layouts/nav.blade.php ENDPATH**/ ?>